| GET | /RestApi/files-api |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Path | query | string | No | |
| Extension | query | string | No | |
| Skip | query | int | No | |
| Take | query | int | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Items | form | IEnumerable<FilesItemViewModel> | No | |
| Error | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| IsFolder | form | bool | No | |
| HasChildren | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/files-api HTTP/1.1 Host: www.imglobal.com Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"Error":"String"}